Subject: bug#39281: gdm doesn't start

From: Jack Hill <[email-masked]>
Date: Sat, 25 Jan 2020 22:33:12 -0500 (EST)

I've started bisecting between my known bad and good commits. 
Unfortunately, this will be a slow process both because my computer is 
only so fast, and because rebooting to check a commit disrupts other work.

That said, why checking one of the bad commits, I noticed that the gdm 
process was indeed started by shepherd and hadn't died, but it was not 
making any progress for some reason. Running `sudo herd restart 
xorg-server` caused it to bring up the gdm greater, and work normally.

I did notice the following in /var/log/gdm/greeter.log There was not 
anything interesting in the xorg log. Unfortunately, I didn't think to 
strace the gdm process before restarting it.

(EE)gnome-session-binary[837]: WARNING: Lost name on bus: org.gnome.SessionManager

(gsd-screensaver-proxy:927): GLib-GIO-WARNING **: 22:00:51.322: Error releasing name org.freedesktop.ScreenSaver: The connection is closed

(gsd-housekeeping:924): GLib-GIO-WARNING **: 22:00:51.322: Error releasing name org.gnome.SettingsDaemon.Housekeeping: The connection is closed

Fatal server error:
(EE) systemd-logind disappeared (stopped/restarted?)
(EE) 
(EE) 
Please consult the The X.Org Foundation support
          at http://wiki.x.org
  for help. 
(EE) Please also check the log file at "/var/lib/gdm/.local/share/xorg/Xorg.0.log" for additional information.
(EE) 
(EE) systemd-logind: ReleaseControl failed: Connection was disconnected before a reply was received
(EE) Server terminated with error (1). Closing log file.
Gdk-Message: 22:00:51.636: gsd-power: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Gdk-Message: 22:00:51.636: gsd-clipboard: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Gdk-Message: 22:00:51.636: gsd-keyboard: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Gdk-Message: 22:00:51.636: gsd-media-keys: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Gdk-Message: 22:00:51.636: .gnome-shell-real: Fatal IO error 4 (Interrupted system call) on X server :0.

Gdk-Message: 22:00:51.636: gsd-wacom: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Gdk-Message: 22:00:51.638: gsd-xsettings: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.